import groovy.util.AntBuilder;

/**
 * User: psrna@redhat.com
 * Date: 7/24/13
 *
 * This is a script used to preserve jbt|jbds installation on jenkins slaves.
 * The main purpose is to keep a zip of installed jbt/jbds on jenkins slave if jenkins install-job finish successfully.
 * This jbds/jbt installation can be used if needed for bugs verifications and more ...
 */

void usage() {
    println "---------------------------------------------------------------------"
    println "Script to zip and copy installation of jbds|jbt"
    println "usage: groovy.sh copyAndZipInstallation.groovy <src_dir> <dst_dir> <zip_file>"
    println "       <src_dir>             : where is it installed "
    println "       <dst_dir>             : where to copy"
    println "       <zip_file>            : output zip file"
    println "--------------------------------------------------------------"
}

if(args.length < 3)
{
    usage()
    System.exit(1)
}

def src = args[0]
def dst = args[1]
def zip = args[2]

def dst_dir = new File(dst)
File[] oldContent = dst_dir.listFiles()

if(!dst_dir.exists()){
    if(!dst_dir.mkdirs())
    {
        println "Cannot create dir:" + dst_dir.getPath()
        System.exit(1)
    }
}

new AntBuilder().zip(destfile:dst+"/"+zip, basedir: src)

//delete old content
oldContent.each {
    if(!it.getAbsolutePath().equals(dst+"/"+zip)) {
       it.delete()
    }
}

